Bug 8465 - lang option of kickstart not parsed
lang option of kickstart not parsed
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-14 03:00 EST by chris.picton
Modified: 2015-01-07 18:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-18 14:42:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris.picton 2000-01-14 03:00:54 EST
I have the following start to my kickstart file:

lang en_US
network --bootproto dhcp
nfs --server spacebird.uskonet.com --dir /systems/redhat/6.1/i386
keyboard us
<snip>

When I boot, the nfs server is mounted, and then I get asked to choose my
language, which should be obtained from the kickstart file.

I have tried:
'lang en' as well as 'lang en_US'

I have also tried moving the lang specifier to after the network lines, to
no effect.

Regards
Chris Picton
Comment 1 Cristian Gafton 2000-01-27 02:52:59 EST
fixed component
Comment 2 Jay Turner 2000-02-14 13:12:59 EST
My guess is that you are having problems before you even get to the language
screen.  If you flip over to VC2 when the lang config screen comes up, you will
probably find a message telling you that no method was found for kickstart.
This means that the system did not even attempt to load your ks.cfg file.

Where are you retrieving the ks.cfg file from?
Comment 3 Erik Troan 2000-02-18 14:42:59 EST
This means you aren't having your kickstart file detected properly. Look at
VC3 to figure out why not.
Comment 4 sharif 2000-04-04 14:12:59 EDT
i have a similar problem.
it IS a bug. kickstart is seriously broken, and it shouldn't be that hard

my problem is that it works fine if i specify the network --static blah blah
blah for one particular IP, but if i use a different IP, it breaks, and asks for
my language, what type of install (NFS), and a coupple other questions..

THEN, it does the kickstart, and is hunky dory.

Note You need to log in before you can comment on or make changes to this bug.